Skip to main content
PUT
/
api
/
v2
/
styleguides
/
{id}
Update a Style Guide (v2)
curl --request PUT \
  --url https://eu.phrase.com/styleguide/api/v2/styleguides/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
import requests

url = "https://eu.phrase.com/styleguide/api/v2/styleguides/{id}"

files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');

const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://eu.phrase.com/styleguide/api/v2/styleguides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "018e1234-5678-7890-abcd-ef1234567890",
  "name": "English Style Guide",
  "description": "Style guide for English content",
  "language": {
    "bcpCode": "en-GB",
    "description": "English (United Kingdom)",
    "language": "cs",
    "region": "gb",
    "script": "LATN"
  },
  "isDefault": false,
  "createdBy": {
    "id": "0015oCjtouINgRCDIvQtjo",
    "username": "john.doe",
    "fullName": "John Doe",
    "email": "john.doe@example.com",
    "avatarUrl": "https://example.com/avatars/john-doe.png"
  },
  "lastModifiedBy": {
    "id": "0015oCjtouINgRCDIvQtjo",
    "username": "john.doe",
    "fullName": "John Doe",
    "email": "john.doe@example.com",
    "avatarUrl": "https://example.com/avatars/john-doe.png"
  },
  "contentGroup": {
    "id": "my-content-group"
  },
  "versions": [
    {
      "id": "018e1234-5678-7890-abcd-ef1234567890",
      "versionNumber": 1,
      "name": "English Style Guide v1",
      "description": "Initial version of the style guide",
      "changeNotes": "Updated grammar rules and added new terminology",
      "fileName": "StyleGuide.md",
      "fileSizeBytes": 1024,
      "fileType": "text/markdown",
      "createdAt": "2024-01-15T10:30:00Z",
      "lastModifiedAt": "2024-01-15T10:30:00Z",
      "lastModifiedBy": {
        "id": "0015oCjtouINgRCDIvQtjo",
        "username": "john.doe",
        "fullName": "John Doe",
        "email": "john.doe@example.com",
        "avatarUrl": "https://example.com/avatars/john-doe.png"
      },
      "contentGroup": {
        "id": "my-content-group"
      }
    }
  ],
  "createdAt": "2024-01-15T10:30:00Z",
  "lastModifiedAt": "2024-01-15T10:30:00Z",
  "extractedRulesCount": 25
}
{
"jobId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}
{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}
{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}
{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}
{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}
{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}
{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}
{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}

Authorizations

Authorization
string
header
required

JWT from IDM (Authorization: Bearer )

Path Parameters

id
string<uuid>
required

Style Guide ID

Query Parameters

name
string
required

Updated name

Maximum string length: 50
description
string

Updated description

Maximum string length: 250
versionChangeReason
string

Optional description of the version change

Maximum string length: 250
includeVersions
boolean
default:false

Whether to include versions in the response

contentGroupId
string
required

Content Group identifier from the Content Group Service.

Minimum string length: 1

Body

file
file

Optional new file to create a new version. Maximum size: 150 KiB.

Response

Metadata-only update completed synchronously

Style Guide information

id
string<uuid>

Unique identifier of the Style Guide

Example:

"018e1234-5678-7890-abcd-ef1234567890"

name
string

Name of the Style Guide (latest version)

Maximum string length: 50
Example:

"English Style Guide"

description
string

Description of the Style Guide (latest version)

Maximum string length: 250
Example:

"Style guide for English content"

language
object

Language details

isDefault
boolean

Whether this is the default Style Guide

Example:

false

createdBy
object

User who created the Style Guide

lastModifiedBy
object

User who last modified the Style Guide

contentGroup
object

Content group associated with this Style Guide

versions
object[]

List of all versions of this Style Guide. Only present when includeVersions=true.

createdAt
string<date-time>

Timestamp when the Style Guide was created

Example:

"2024-01-15T10:30:00Z"

lastModifiedAt
string<date-time>

Timestamp when the Style Guide was last modified

Example:

"2024-01-15T10:30:00Z"

extractedRulesCount
integer<int32>

Number of rules extracted and linked to the content group during this create/update operation. Only present for create/update responses when a content group is set; absent otherwise.

Example:

25